<?php

class MY_Model extends CI_Model
{

    public function __construct()
    {
        parent::__construct();
        $this->load->database();
    }
}

if (!class_exists('CM_Model')) {
    class CM_Model extends MY_Model
    {

        public function __construct()
        {
            parent::__construct();
        }
    }
}
